Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.BorderInfo Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | BorderInfo (width, style, intensity, dash_phase, dashes)
| Constructor, with parameters. More...
def | BorderInfo ()
| Constructor.
def | BorderInfo (border_info)
| Constructor, with another border information object. More...
def | Set (width, style, intensity, dash_phase, dashes)
| Set value. More...

## Static Public Attributes
| cloud_intensity = _fsdk.BorderInfo_cloud_intensity
| Intensity of the cloudy effect. More...
| dash_phase = _fsdk.BorderInfo_dash_phase
| Dash phase. More...
| e_Beveled = _fsdk.BorderInfo_e_Beveled
| Border style: Beveled. More...
| e_Cloudy = _fsdk.BorderInfo_e_Cloudy
| Border style: Cloudy. More...
| e_Dashed = _fsdk.BorderInfo_e_Dashed
| Border style: Dashed. More...
| e_Inset = _fsdk.BorderInfo_e_Inset
| Border style: Inset. More...
| e_Solid = _fsdk.BorderInfo_e_Solid
| Border style: Solid.
| e_UnderLine = _fsdk.BorderInfo_e_UnderLine
| Border style: Underline. More...
| style = _fsdk.BorderInfo_style
| Border style. Please refer to values starting from FoxitPDFSDKPython3.BorderInfo.e_Solid and this should be one of these values. Please also check comment of these values for more details.
| width = _fsdk.BorderInfo_width
| Border width, in points. More...

## Detailed Description

This class represents annotation border information.

## Constructor & Destructor Documentation

## ◆ BorderInfo() [1/2]

def FoxitPDFSDKPython3.BorderInfo.BorderInfo | ( |  | width,
|  |  | style,
|  |  | intensity,
|  |  | dash_phase,
|  |  | dashes
| ) |  |

Constructor, with parameters.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from FoxitPDFSDKPython3.BorderInfo.e_Solid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is FoxitPDFSDKPython3.BorderInfo.e_Cloudy . Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FoxitPDFSDKPython3.BorderInfo.e_Dashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FoxitPDFSDKPython3.BorderInfo.e_Dashed .

## ◆ BorderInfo() [2/2]

def FoxitPDFSDKPython3.BorderInfo.BorderInfo | ( |  | border_info | ) |

Constructor, with another border information object.

Parameters

  [in] | border_info | Another border information object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.BorderInfo.Set | ( |  | width,
|  |  | style,
|  |  | intensity,
|  |  | dash_phase,
|  |  | dashes
| ) |  |

Set value.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from FoxitPDFSDKPython3.BorderInfo.e_Solid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is FoxitPDFSDKPython3.BorderInfo.e_Cloudy . Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FoxitPDFSDKPython3.BorderInfo.e_Dashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FoxitPDFSDKPython3.BorderInfo.e_Dashed .

Returns
  None.

## Member Data Documentation

## ◆ cloud_intensity

FoxitPDFSDKPython3.BorderInfo.cloud_intensity = _fsdk.BorderInfo_cloud_intensity
| static

Intensity of the cloudy effect.

This is only useful to free text, square, circle, and polygon annotations when style of current object is FoxitPDFSDKPython3.BorderInfo.e_Cloudy .
Suggested value range: 0 to 2. 0 means no cloudy border effect.
For rest value, their effect would be:

- If the value is below 0, it will have the same effect as value 0.

- If the value is above 2, it will have the same effect as value 2.

## ◆ dash_phase

FoxitPDFSDKPython3.BorderInfo.dash_phase = _fsdk.BorderInfo_dash_phase
| static

Dash phase.

Only useful when style of current object is FoxitPDFSDKPython3.BorderInfo.e_Dashed .

## ◆ e_Beveled

FoxitPDFSDKPython3.BorderInfo.e_Beveled = _fsdk.BorderInfo_e_Beveled
| static

Border style: Beveled.

Currently, Foxit PDF SDK does not support the annotation appearance of this border style. If this is set to any annotation, Foxit PDF SDK will change to set border style as FoxitPDFSDKPython3.BorderInfo.e_Solid by default internally.

## ◆ e_Cloudy

FoxitPDFSDKPython3.BorderInfo.e_Cloudy = _fsdk.BorderInfo_e_Cloudy
| static

Border style: Cloudy.

This is only useful for free text, square, circle, and polygon annotations. If this is set to other type annotation, Foxit PDF SDK will change to set border style as FoxitPDFSDKPython3.BorderInfo.e_Solid by default internally.

## ◆ e_Dashed

FoxitPDFSDKPython3.BorderInfo.e_Dashed = _fsdk.BorderInfo_e_Dashed
| static

Border style: Dashed.

This is only useful for link, free text, line, square, circle, polygon, polyline and screen annotation. If this is set to other type annotation, Foxit PDF SDK will change to set border style as FoxitPDFSDKPython3.BorderInfo.e_Solid by default internally.

## ◆ e_Inset

FoxitPDFSDKPython3.BorderInfo.e_Inset = _fsdk.BorderInfo_e_Inset
| static

Border style: Inset.

Currently, Foxit PDF SDK does not support the annotation appearance of this border style. If this is set to any annotation, Foxit PDF SDK will change to set border style as FoxitPDFSDKPython3.BorderInfo.e_Solid by default internally.

## ◆ e_UnderLine

FoxitPDFSDKPython3.BorderInfo.e_UnderLine = _fsdk.BorderInfo_e_UnderLine
| static

Border style: Underline.

This is only useful for link annotation. If this is set to other type annotation, Foxit PDF SDK will change to set border style as FoxitPDFSDKPython3.BorderInfo.e_Solid by default internally.

## ◆ width

FoxitPDFSDKPython3.BorderInfo.width = _fsdk.BorderInfo_width
| static

Border width, in points.

This value should not be negative. If this value is 0, no border will be drawn.